import { v3_angle_cos_between } from "./v3_angle_cos_between.js";

/**
 *
 * @param {number} x0
 * @param {number} y0
 * @param {number} z0
 * @param {number} x1
 * @param {number} y1
 * @param {number} z1
 * @returns {number}
 */
export function v3_angle_between(
    x0, y0, z0,
    x1, y1, z1
) {

    const theta = v3_angle_cos_between(x0, y0, z0, x1, y1, z1);

    return Math.acos(theta);

}

